Subject: bug#23100: 24.5; icalendar and yearly events

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Feb 2021 14:59:11 +0100

Ulf Jasper <[email-masked]> writes:

> Am 23.03.2016 um 14:28 (-0400) schrieb Kurt Starsinic:
>> Using icalendar, I imported a calendar containing an event that repeats
>> yearly. 'icalendar--convert-recurring-to-diary special-cases events with
>> frequency "YEARLY", and implements them with 'diary-anniversary instead
>> of 'diary-cyclic. The unfortunate result is that the first occurrence of
>> the event (i.e., the 0th anniversary) does not display in the diary.
>
> Thanks for reporting.  I'll see to it.

Did you make any progress here?  (I haven't checked whether this problem
is still present in Emacs 28 or not.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no